Subject: NCURSES version 0.6
From: [email-masked] (Zeyd M. Ben-Halim)
Date: Tue, 2 Mar 1993 09:28:49 GMT
Newsgroups: comp.os.linux.announce

I have uploaded version 0.6 of ncurses to :-
netcom.com:pub/zmbenhal/ncurses06.tar.Z
It should also appear some day on:
tsx-11.mit.edu:pub/linux/sources/libs.
sunsite.unc.edu:pub/Linux/Incoming.

Please don't let the low version number fool you. ncurses 1.0 will a totally
sysv-compatible curses (for good or bad). But note that this will require 
changes to internal structures so don't distribute any binaries linked with
ncurses.

ncurses is a SYSV-compatible curses (screen management) package.
It supports keypad() allowing access to function and arrow keys.
It supports and uses Terminfo instead of termcap for terminal description.
It has support for PC graphic characters (used in drawing boxes).
It has color support similar to that in SYSV curses.

I've included several new programs that use ncurses:
battleship -- test/battle.c
hanoi towers -- test/hanoi.c
knight's tour -- test/knight.c
rain drops -- test/rain.c
worms -- test/worm.c
tetris -- tetris-v/*
sokoban2 -- sokoban2/*

Other programs known to compile and run with ncurses:
eep -- .newsrc editor.
pcomm -- communications program.
ss 1.2b -- spreadsheet program.
maint -- files maintainance program.

Changes from ncurses0.5 to ncurses0.6 include:
removed _numchngd from struct _win_st and made appropriate changes.
rewritten kgetch() to remove problems with interaction between alram and 
	read(). It caused SIGSEGV every now and then.
fixed a bug that miscounted the numbers of columns when updating.
	(in lib_doupdate.c(ClrUpdate() -- iterate to columns not columns-1)
fixed a bug that cause the lower-right corner to be incorrect.
	(in lib_doupdate.c(putChar() -- check against columns not columns-1)
made resize() and cleanup() static to lib_newterm.c
added notimeout().
added timeout() define in curses.h
added more function prototypes and fixed napms.
added use_env().
moved screen size detection to lib_setup.c.
fixed newterm() to confirm to prototype.
removed SIGWINCH support as SYSV does not define its semantics.
cleaned-up lib_touch.c
added waddnstr() and relatives.
added slk_* support.
fixed a bug in wdeleteln().
added PANEL library.
modified Makefile for smoother installation.
terminfo.h is really term.h

v0.1 July 31, 1992
v0.2 August 14, 1992
v0.3 January 20, 1993
v0.4 February 3, 1993
v0.5 February 14, 1993
v0.6 March 1, 1993

NB. PLEASE READ THIS BEFORE SENDING PATCHES:
This is not intended as a flame (I'm very grateful for the people who did) BUT
1) most functions should be defined as returning int even though most of them
	don't return anything. Don't blame me, that's how sysv does it.
2) leave cosmetic changes to me. they simply make the patches larger and less
	comprensible. Don't assume all the changes you've made will be done.
3) don't fix things unless you know it's broke and YOU can fix it. Don't
	incorporate code from other sources.
4) I would be grateful for code the illustrates the behavior before and after
	any fixes, but I'll take your word(s).

Any comments, bug reports, patches, additions are welcome.
If you have a program that's having problems running with ncurses either send
me a copy of it or tell where I can get a copy.

Zeyd M. Ben-Halim
[email-masked]